import { AbstractControl } from '@angular/forms';
import { ValidationError } from 'class-validator-multi-lang';
import { ClassValidatorErrors, DynamicControlOptions, DynamicFormGroup, DynamicFormProperties, IDynamicControlMetadata, ShortValidationErrors } from '../types/types';
export declare function setDynamicControlOptions(object: any, options: DynamicControlOptions): void;
export declare function removeDynamicControlOptions(object: any): void;
export declare function getDynamicControlOptions(object: any): any;
export declare function recursiveRemoveDynamicControlOptions(object: any): any;
export declare function replaceLastPropertyToDynamicControlOptionsByDotPath(controlPath: string, object: any, rootValue: any, control: DynamicFormProperties | AbstractControl, metadata: IDynamicControlMetadata): void;
export declare function setCustomDataToRootFormGroup<T = unknown>(control: any, key: string, value: T): void;
export declare function getCustomDataToRootFormGroup<T>(control: any, key: string, defaultValue: T): T;
export declare function transformValidationErrorsToClassValidatorErrors(errors: ValidationError[]): ClassValidatorErrors;
export declare function transformClassValidatorErrorsToShortValidationErrors(errors: ClassValidatorErrors): ShortValidationErrors;
export declare function mergeErrors<T>(externalErrors?: T, validationErrors?: T): T | undefined;
export declare function collectDynamicFormGroupErrors<T>(control: DynamicFormGroup<T, T>): any;
export declare function isPrimitiveClass(classType: IDynamicControlMetadata['classType']): boolean | null;
export declare function isPrimitiveType(object: unknown): unknown;
